> ## Documentation Index
> Fetch the complete documentation index at: https://docs.rovemiles.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Get transfer details

> Returns detailed information about a specific miles transfer transaction.



## OpenAPI

````yaml https://api.staging.rovemiles.com/functions/v1/openapi get /miles/transfer/{id}
openapi: 3.0.3
info:
  title: Rove Miles API
  version: 0.1.0
  description: Data Utils, Flights, Hotels & Miles endpoints.
servers:
  - url: https://api.staging.rovemiles.com/functions/v1
security:
  - bearerAuth: []
tags:
  - name: Data
    description: Operations related to reference data like airports and places
  - name: Flights
    description: Operations related to flight search and booking
  - name: Hotels
    description: Operations related to hotel search and booking
  - name: Miles
    description: Operations related to miles and points management
  - name: Deals
    description: Operations related to special offers and promotions for flights and hotels
paths:
  /miles/transfer/{id}:
    get:
      tags:
        - Miles
      summary: Get transfer details
      description: >-
        Returns detailed information about a specific miles transfer
        transaction.
      parameters:
        - name: id
          in: path
          required: true
          schema:
            type: string
          description: Transfer transaction ID
      responses:
        '200':
          description: Transfer details retrieved successfully
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/Transfer'
              example:
                transaction_id: 81c7661a-b45a-4a85-bef9-6df02c67eb7e
                account_id: c3d4e5f6-g7h8-9012-abcd-ef3456789012
                amount: 5000
                created_at: '2023-09-08T16:30:45Z'
                status: success
                reference_id: ref_promo_345678
        '400':
          $ref: '#/components/responses/BadRequest'
        '401':
          $ref: '#/components/responses/Unauthorized'
        '404':
          description: Transfer not found
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/Error'
              example:
                code: 404
                message: >-
                  Transfer with ID 81c7661a-b45a-4a85-bef9-6df02c67eb7e not
                  found
        '500':
          $ref: '#/components/responses/InternalError'
components:
  schemas:
    Transfer:
      type: object
      properties:
        transaction_id:
          type: string
          format: uuid
          description: Unique identifier for the transfer transaction
        account_id:
          type: string
          format: uuid
          description: Account ID of the recipient
        amount:
          type: integer
          description: Amount of miles transferred
        created_at:
          type: string
          format: date-time
          description: Timestamp when the transfer was created
        status:
          type: string
          description: Status of the transfer (success, pending, failed)
        reference_id:
          type: string
          description: Reference ID for the transfer (used for idempotency)
    Error:
      type: object
      properties:
        code:
          type: integer
        message:
          type: string
  responses:
    BadRequest:
      description: Bad Request
      content:
        application/json:
          schema:
            $ref: '#/components/schemas/Error'
          example:
            code: 400
            message: Bad Request
    Unauthorized:
      description: Unauthorized - Invalid or missing token
      content:
        application/json:
          schema:
            $ref: '#/components/schemas/Error'
          example:
            code: 401
            message: Unauthorized - Invalid or missing token
    InternalError:
      description: Internal Server Error
      content:
        application/json:
          schema:
            $ref: '#/components/schemas/Error'
          example:
            code: 500
            message: Internal Server Error
  securitySchemes:
    bearerAuth:
      type: http
      scheme: bearer
      bearerFormat: API Key
      description: >-
        API key for authentication. Add your API key to the Authorization header
        with this format: 'Bearer your_api_key_here'

````